##############################################################################
#
#    Email_Template_Togroup Module for OpenERP
#    Copyright (C) 2012 Les Green <l.green@valuedecision.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
from osv import osv, fields

class email_template(osv.osv):
    _inherit = "email.template"

    _columns = {
        'group_id': fields.many2one('res.groups', 'Group', ondelete='set null')
    }
    
    def onchange_updategroup(self, cr, uid, ids, group_id, context=None):
        if group_id:
            return {'value': {'email_to':'Group'}}
        return {'value': {'email_to':''}}

    def generate_email(self, cr, uid, template_id, res_id, context=None):
        values = super(email_template, self).generate_email(cr, uid, template_id, res_id, context=context)
        
        template = self.get_email_template(cr, uid, template_id, res_id, context)
        
        if template.group_id:
            group_id = template.group_id.id
            users_in_group = self.pool.get('res.groups').browse(cr, uid, group_id).users
            emails =[]
            for user in users_in_group:
                if user.user_email:
                    emails.append(user.user_email)
            email_to = ','.join(emails)
            values['email_to'] = email_to
                
        return values
    
email_template()